﻿<%@ Page Language="C#" AutoEventWireup="false" Inherits="EmpCRM.Login" Codebehind="Login.aspx.cs" %>
<%-- ヘッダーユーザコントロールを追加 --%>
<%@ Register Tagprefix="cc" Tagname="CommonHeader" Src="control/Header.ascx" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" lang="ja">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
 <link rel="stylesheet" href="./css/style.css" type="text/css" />
  <title>従事者管理システム</title>
</head>
<body>
    <div id="wrapper">
        <!-- header -->
        <cc:CommonHeader ID="CommonHeader" runat="server" />

        <div id="main">

            <form name="LoginForm" id="LoginForm" method="post" runat="server">
                <h2>ログイン</h2>
                <div class="section margin_center" style="width: 48em; margin-top: 3em; padding-top: 2em;">
                    <div class="align_center">
                    </div>
                    <asp:Table ID="Table1" class="margin_center" Style="width: 30em;" runat="server">
                        <asp:TableRow>
                            <asp:TableCell Style="width: 7em;">ログインID</asp:TableCell>
                            <asp:TableCell>
                                <asp:TextBox ID="txtID" runat="server" class="input_text" ></asp:TextBox>
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell>パスワード</asp:TableCell>
                            <asp:TableCell>
                                <asp:TextBox ID="txtPass" TextMode="Password" class="input_text" runat="server"></asp:TextBox></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell ColumnSpan="2" HorizontalAlign="center">
                                <asp:Label ID="lblError" runat="server" Font-Bold="True" ForeColor="Red" Height="16px"></asp:Label></asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                    <p class="align_center" style="margin-bottom: 1em;">
                        <asp:Button ID="btnLogin" class="button_link" Text="ログイン" runat="server" OnClick="btnLogin_Click"></asp:Button>
                    </p>
                </div>
            </form>
        </div>
    </div>
</body>
</html>
