﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ApplicationStatusList.aspx.cs" Inherits="EmpCRM.ApplicationStatusList" %>
<%-- ヘッダーユーザコントロールを追加 --%>
<%@ Register Tagprefix="cc" Tagname="CommonHeader" Src="control/Header.ascx" %>
<%@ Register Tagprefix="cc" Tagname="DepartmentSelector" Src="control/DepartmentSelector.ascx" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" lang="ja">
<head id="Head1" runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" href="./css/style.css" type="text/css" />

    <title>従事者申請状況確認</title>
</head>
<body>
    <div id="wrapper">
        <!-- header -->
        <cc:CommonHeader ID="CommonHeader" runat="server" />
        <div id="main">
            <form name="ApplicationStatusConfirmForm" id="upload_form" method="POST" class="inline_block" enctype="multipart/form-data" runat="server">

                <h1>従事者&nbsp;申請状況確認</h1>
                <div class="tagReturn">
                    <span>＞ </span>
                    <asp:HyperLink ID="hyperlink" NavigateUrl="Mainmenu.aspx" Text="メインメニュー" Target="_top" runat="server" />
                    <span>＞ </span>
                    <span>従事者&nbsp;申請状況確認</span>
                </div>
                <br />

                <div id="content">



                    <div id="" class="">


                        <%--<table border="0" style="width: 1100px; table-layout: fixed;">--%>
                        <table border="0" style="table-layout: fixed;">
                            <tr class="trDepartmentDdlTitle">
                                <td class="tblItemTitle">社内管理部門</td>
                                <td>
                                    <cc:DepartmentSelector ID="ccDepartmentSelector" runat="server" Visible="false" />
                                    <asp:Label ID="lblDepartmentName" runat="server" Visible="false" />
                                </td>
                                <td></td>
                                <td></td>
                            </tr>
                        </table>
                        <table border="0" style="table-layout: fixed;">
                            <tr>
                                <td class="tblItemTitle">ステータス</td>
                                <td class="tblItemColumn">
                                    <asp:DropDownList ID="ddlStatusList" runat="server" CssClass="tblInputItemDDL" />
                                </td>
                                <td class="tblItemTitle">総合通信局</td>
                                <td class="tblItemColumn">
                                    <asp:DropDownList ID="ddlSotsuKyokuList" runat="server" CssClass="tblInputItemDDL" />
                                </td>
                            </tr>

                            <tr>
                                <td style="width: 90px;">免許番号</td>
                                <td style="width: 150px;">
                                    <asp:TextBox ID="txtLicenseNo" runat="server" CssClass="tblInputItemText input_text" />
                                </td>
                                <td style="width: 90px;">資格</td>
                                <td colspan="3" style="width: 200px;">
                                    <asp:DropDownList ID="ddlLicenseTypeList" runat="server" CssClass="tblInputItemDDL" />
                                </td>
                            </tr>

                            <tr>

                                <td>氏名（姓）</td>
                                <td>
                                    <asp:TextBox ID="txtLastName" runat="server" CssClass="tblInputItemText  input_text" />
                                </td>
                                <td>氏名（名）</td>
                                <td colspan="3">
                                    <asp:TextBox ID="txtFirstName" runat="server" CssClass="tblInputItemText input_text" />
                                </td>
                            </tr>

                            <tr>

                                <td>ふりがな（姓）</td>
                                <td>
                                    <asp:TextBox ID="txtKanaLastName" runat="server" CssClass="tblInputItemText input_text" />
                                </td>

                                <td>ふりがな（名）</td>
                                <td colspan="3">
                                    <asp:TextBox ID="txtKanaFirstName" runat="server" CssClass="tblInputItemText input_text" />
                                </td>
                            </tr>

                            <tr>
                                <td>所属会社</td>
                                <td>
                                    <asp:DropDownList ID="ddlCompanyList" runat="server" OnSelectedIndexChanged="ddlCompanyList_Changed" AutoPostBack="true" CssClass="tblInputItemDDL" />
                                </td>
                                <td>所属部署</td>
                                <td>
                                    <asp:DropDownList ID="ddlDepartmentList" runat="server" CssClass="tblInputItemDDL" />
                                </td>
                            </tr>

                            <tr>

                                <td>JMCIA</td>
                                <td>
                                    <asp:DropDownList ID="ddlJmcia" runat="server" CssClass="tblInputItemDDL" />
                                </td>

                                <td style="width: 70px;">SB/WCP</td>
                                <td>
                                    <asp:DropDownList ID="ddlSbwcp" runat="server" CssClass="tblInputItemDDL" />
                                </td>

                            </tr>
                        </table>

                    </div>

                    <div>
                        <asp:Button ID="btnSearch" Text="検索" runat="server" OnClick="btnSearch_Click" class="input_submit SmallBtn" />
                        <asp:Button ID="btnClear" Text="クリア" runat="server" OnClick="btnClear_Click" class="input_submit SmallBtn" />
                        <asp:Button ID="modoru" Text="戻る" runat="server" OnClick="modoru_Click"  class="input_submit SmallBtn" />
                    </div>

                    <asp:Panel ID="pnlApplicationStatusList" runat="server" Visible="false" CssClass="">
                        <p>申請状況一覧</p>
                        <asp:Panel ID="gvPanel" CssClass="gvPanel" runat="server" >
                            <asp:GridView ID="gvApplicationStatusList" runat="server" CssClass="gvBody"  AllowPaging="true"
                                          OnPageIndexChanging="gvAppStatusList_PageIndexChanging" AutoGenerateColumns="false"
                                          ShowHeaderWhenEmpty="true" >
                                <PagerSettings Position="Bottom" Mode="NumericFirstLast" />
                                <PagerStyle HorizontalAlign="Center" CssClass="pagerRow" />
                                <HeaderStyle CssClass="gvHead" HorizontalAlign="Center" />
                                <Columns>
                                    <asp:BoundField DataField="No" HeaderText="No" HeaderStyle-CssClass="indexNumberColumn" ItemStyle-CssClass="indexNumberColumn" />
                                    <asp:BoundField DataField="ステータス" HeaderText="ステータス" HeaderStyle-CssClass="statusColumn align_center" ItemStyle-CssClass="statusColumn align_center" />
                                    <asp:BoundField DataField="社内管理部門" HeaderText="社内管理部門" HeaderStyle-CssClass="bumonColumn" ItemStyle-CssClass="bumonColumn" />
                                    <asp:BoundField DataField="氏名（姓）" HeaderText="氏名（姓）" HeaderStyle-CssClass="lastnameColumn" ItemStyle-CssClass="lastnameColumn" />
                                    <asp:BoundField DataField="氏名（名）" HeaderText="氏名（名）" HeaderStyle-CssClass="firstnameColumn" ItemStyle-CssClass="firstnameColumn" />
                                    <asp:BoundField DataField="ふりがな（姓）" HeaderText="ふりがな（姓）" HeaderStyle-CssClass="kanalastnameColumn" ItemStyle-CssClass="kanalastnameColumn" />
                                    <asp:BoundField DataField="ふりがな（名）" HeaderText="ふりがな（名）" HeaderStyle-CssClass="kanafirstnameColumn" ItemStyle-CssClass="kanafirstnameColumn" />
                                    <asp:BoundField DataField="所属会社" HeaderText="所属会社" HeaderStyle-CssClass="belongCompanyColumn" ItemStyle-CssClass="belongCompanyColumn" />
                                    <asp:BoundField DataField="所属部署" HeaderText="所属部署" HeaderStyle-CssClass="belongDepartmentColumn" ItemStyle-CssClass="belongDepartmentColumn" />
                                    <asp:BoundField DataField="JMCIA" HeaderText="JMCIA" HeaderStyle-CssClass="jmcaColumn align_center" ItemStyle-CssClass="jmcaColumn align_center" />
                                    <asp:BoundField DataField="SB/WCP" HeaderText="SB/WCP" HeaderStyle-CssClass="sbwcpColumn align_center" ItemStyle-CssClass="sbwcpColumn align_center" />
                                    <asp:BoundField DataField="免許番号" HeaderText="免許番号" HeaderStyle-CssClass="licenseNumberColumn" ItemStyle-CssClass="licenseNumberColumn" />
                                    <asp:BoundField DataField="資格名" HeaderText="資格名" HeaderStyle-CssClass="licenseNameColumn" ItemStyle-CssClass="licenseNameColumn" />
                                </Columns>
                            </asp:GridView>
                        </asp:Panel>
                        <div id="Div2" class="">
                            <table border="0" width="50%">
                                <tr>
                                    <td>出力ファイル名：</td>
                                    <td colspan="2">
                                        <%--<input type="file" name="uploadFile" maxlength="256" value="" style="width: 45em;" class="input_file">--%>
                                        <asp:TextBox ID="txtDownloadFileName" runat="server" MaxLength="256" />
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%--<input type="button" name="search" value="出力" onclick="" class="input_submit"/>--%>
                                        <asp:Button ID="btnDownloadList" runat="server" Text="出力" OnClick="btnDownloadList_Click" CssClass="input_submit SmallBtn" />
                                    </td>
                                </tr>

                            </table>

                        </div>

                    </asp:Panel>

                    <asp:Panel ID="pnlDisplayErrorArea" runat="server" Visible="false">
                        <table class="errMsgTbl">
                            <tr>
                                <td class="listMes" style="text-align: left;">
                                    <asp:Label ID="lblErrorMessage" runat="server" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </div>

            </form>
        </div>    		
  

	</div>
</body>
</html>
