﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EmployeeEdit.aspx.cs" Inherits="EmpCRM.EmployeeEdit" %>

<%-- ヘッダーユーザコントロールを追加 --%>
<%@ Register TagPrefix="cc" TagName="CommonHeader" Src="control/Header.ascx" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" lang="ja">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" href="./css/style.css" type="text/css" />
    <title>従事者情報編集画面</title>
    <script type="text/javascript">
        function LinkClick() {
            var plicenseno = document.forms.form1.licenseno.value;
            var plicensedate = document.forms.form1.licensedate.value;
            var plastname = document.forms.form1.lastname.value;
            var pfirstname = document.forms.form1.firstname.value;
            var pfuri_familyname = document.forms.form1.furi_familyname.value;
            var pfuri_firstname = document.forms.form1.furi_firstname.value;

            var url = 'EmployeeEditResult.aspx?licenseno=' + plicenseno + '&licensedate=' + plicensedate + '&lastname=' + plastname
            + '&firstname=' + pfirstname + '&furi_familyname=' + pfuri_familyname + '&furi_firstname=' + pfuri_firstname;
            window.open(url, null);
        }
        function katakana(str) {
            return str.match(/^[ァ-ヶー]*$/);
        }
        var childWindowCount = 0;
        var childWindows = new Array();
        function ibtnCal1_Click(Obj) {
            //alert(Obj);
            childWindowCount++;
            if (Obj != '') {
                var l = 450; // 表示するx座標
                var t = 290; // 表示するy座標
                var w = 250; // 横幅
                var h = 220; // 縦幅
                childWindow = window.open("calendar.aspx?name=" + Obj, null,
                    "screenX=" + l + ",screenY=" + t + ",left=" + l + ",top=" + t + ",width=" + w + ",height=" + h + ',menubar=no, toolbar=no, scrollbars=no');

                childWindows[childWindowCount - 1] = childWindow;
            }
            //alert('件数2：　 ' + childWindowCount);
        }
        function closeChildWindow() {
            //alert('How many? ' + childWindowCount);
            for (var i = 0; i < childWindowCount; i++) {
                var closeWindow = childWindows[i];
                if (!closeWindow.closed) {
                    closeWindow.close();
                }
            }
        }


    </script>
</head>
<body>
    <div id="wrapper">
        <cc:CommonHeader ID="CommonHeader" runat="server" />

        <div id="main">

            <h2>従事者情報編集</h2>
            <div class="tagReturn">
                ><asp:HyperLink ID="hyperlink2"
                    NavigateUrl="Mainmenu.aspx"
                    Text="メインメニュー"
                    Target="_top"
                    runat="server" />
                <span>＞ </span>
                <span><strong>従事者情報編集 </strong></span>
            </div>

            <form id="form1" runat="server">
                <div>
                    <asp:Table border="0" Width="50%" runat="server">
                        <asp:TableRow>
                            <asp:TableCell Width="100px">免許番号</asp:TableCell>
                            <asp:TableCell Width="100px">
                                <asp:TextBox ID="licenseno" MaxLength="30" Width="140px" runat="server" /></asp:TableCell><asp:TableCell Width="100px">免許取得日</asp:TableCell><asp:TableCell  Width="100px">
                                    <asp:TextBox ID="licensedate" MaxLength="30" Width="140px" runat="server" /></asp:TableCell><asp:TableCell Width="45px">
                                <input type="button" runat="server" id="calbtn1" value="日付" onclick="closeChildWindow(); ibtnCal1_Click(this.form.licensedate.id);" />
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell>氏名（姓）</asp:TableCell><asp:TableCell>
                                <asp:TextBox ID="lastname" MaxLength="30" Width="140px" runat="server" /></asp:TableCell><asp:TableCell>氏名（名）</asp:TableCell><asp:TableCell>
                                    <asp:TextBox ID="firstname" MaxLength="30" Width="140px" runat="server" /></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell>ふりがな（姓）</asp:TableCell><asp:TableCell>
                                <asp:TextBox ID="furi_familyname" MaxLength="30" Width="140px" runat="server" /></asp:TableCell><asp:TableCell>ふりがな（名）</asp:TableCell><asp:TableCell>
                                    <asp:TextBox ID="furi_firstname" MaxLength="30" Width="140px" runat="server" onclick="katakana(document.getElementdId(furi_firstname.value));" /></asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                    <asp:Table ID="CMDTB" runat="server" BorderColor="Black">
                        <asp:TableRow>
                            <asp:TableCell>
                                <asp:Button ID="add" Text="登録" CssClass="input_submit SmallBtn" runat="server" OnClick="add_Click" OnClientClick="return confirm('新規登録してよろしいでしょうか？');" />
                                <asp:Button ID="edit" Text="更新" CssClass="input_submit SmallBtn" runat="server" OnClick="edit_Click" OnClientClick="return confirm('対象従事者情報を更新してよろしいでしょうか？');" />
                                <asp:Button ID="clear" Text="クリア" CssClass="input_submit SmallBtn" runat="server" OnClick="clear_Click" />
                                <asp:Button ID="modoru" Text="戻る" CssClass="input_submit SmallBtn" runat="server" OnClick="modoru_Click" />
                                <a id="A2" href="javascript:void(0);" onclick="LinkClick()" class="input_submit SmallBtn" runat="server">検索</a>
                            </asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                    <!-- エラーメッセージ表示用ラベル -->
                    <asp:Table ID="Table3" runat="server" CssClass="errMsgTbl">
                        <asp:TableRow>
                            <asp:TableCell HorizontalAlign="Center">
                                <asp:Label ID="lblErrMsg" runat="server" ForeColor="Red" Font-Size="16px"></asp:Label>
                            </asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                </div>
            </form>
        </div>
    </div>
</body>
</html>
