﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EmployeeEditPosi.aspx.cs" Inherits="EmpCRM.EmployeeEditPosi" %>

<%-- ヘッダーユーザコントロールを追加 --%>
<%@ Register TagPrefix="cc" TagName="CommonHeader" Src="control/Header.ascx" %>
<%@ Register TagPrefix="cc" TagName="DepartmentSelector" Src="control/DepartmentSelector.ascx" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" lang="ja">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" href="./css/style.css" type="text/css" />
    <title>従事者情報編集</title>
    <script type="text/javascript">
        function screenClose() {
            window.close();
        }
        function getIndex(no) {
            //alert('This is Hello....' + no);
            document.getElementById("selitem").value = no;
        }
        function goTojiru() {

            //if (document.getElementById("goClose").value != '') {
            window.close();
            //}

        }

    </script>
    <script runat="server">
        int flg = 0;
    </script>
</head>
<body>
    <div id="wrapper">
        <div id="header">
        </div>
        <!-- header -->

        <div id="main">

            <h2>選任/解任情報編集</h2>
            <div>

                <!--<div id="content">-->

                <form id="form1" runat="server">
                    <div></div>
                    &nbsp;&nbsp;&nbsp;
	<asp:Table ID="Table1" class="align_right" border="0" runat="server">
        <asp:TableRow>
            <asp:TableCell>
                <asp:Button ID="add" Text="登録" OnClick="add_Click" class="input_submit SmallBtn" runat="server" />
                <a id="A1" href="javascript:void(0);" onclick="screenClose()" class="input_submit SmallBtn" runat="server">閉じる</a>
            </asp:TableCell>
        </asp:TableRow>
    </asp:Table>
                    <asp:HiddenField ID="IsInsOK" runat="server" />


                    <div id="Bu1" class="ddlBumon" runat="server">
                        <div class="ddlTitle1">
                            <asp:Label ID="lblNewBumon" runat="server">社内管理部門：</asp:Label>
                        </div>
                                <asp:Label ID="belong_department" Text="部署" runat="server" Width="500px"></asp:Label>
                        
                    </div>

                    <div id="Bu2" class="ddlBumon" runat="server">
                        <div class="ddlTitle1">
                            <asp:Label ID="Label1" runat="server">社内管理部門：</asp:Label>
                        </div>
                        <cc:DepartmentSelector ID="ccDeepartmentSelector" runat="server" />
                    </div>



                    <asp:Table ID="Table4" border="0" Style="width: 500px; table-layout: fixed;" runat="server">
                        <asp:TableRow>
                            <asp:TableCell>免許番号</asp:TableCell>
                            <asp:TableCell ColumnSpan="4">
                                <asp:Label ID="licenseno" runat="server" /></asp:TableCell></asp:TableRow><asp:TableRow>
                            <asp:TableCell>氏名&nbsp;&nbsp;&nbsp;姓</asp:TableCell><asp:TableCell>
                                <asp:Label ID="lastname" runat="server" /></asp:TableCell><asp:TableCell HorizontalAlign="center">名</asp:TableCell><asp:TableCell>
                                    <asp:Label ID="firstname" runat="server" /></asp:TableCell><asp:TableCell>&nbsp;</asp:TableCell></asp:TableRow><asp:TableRow>
                            <asp:TableCell>ふりがな</asp:TableCell><asp:TableCell>
                                <asp:Label ID="furi_familyname" runat="server" /></asp:TableCell><asp:TableCell>&nbsp;</asp:TableCell><asp:TableCell>
                                    <asp:Label ID="furi_firstname" runat="server" /></asp:TableCell><asp:TableCell>&nbsp;</asp:TableCell></asp:TableRow></asp:Table><asp:Table ID="T3" Style="width: 600px; table-layout: fixed;" runat="server">
                        <asp:TableRow>
                            <asp:TableCell Width="100">所属会社</asp:TableCell><asp:TableCell Width="200">
                                <asp:DropDownList ID="company" runat="server" AutoPostBack="true" OnSelectedIndexChanged="company_SelectedIndexChanged">
                                </asp:DropDownList>
                            </asp:TableCell><asp:TableCell Width="100">所属部署</asp:TableCell><asp:TableCell Width="200">
                                <asp:DropDownList ID="department" runat="server">
                                </asp:DropDownList>

                            </asp:TableCell></asp:TableRow></asp:Table><asp:Table ID="T4" Style="width: 450px; table-layout: fixed;" runat="server">
                        <asp:TableRow>
                            <asp:TableCell>  JMCIA</asp:TableCell><asp:TableCell>
                                <asp:DropDownList ID="jmicia" runat="server">
                                </asp:DropDownList>
                            </asp:TableCell><asp:TableCell>  SB/WCP</asp:TableCell><asp:TableCell>
                                <asp:DropDownList ID="sbwcp" runat="server">
                                </asp:DropDownList>
                            </asp:TableCell></asp:TableRow></asp:Table><asp:Table ID="T5" runat="server">
                        <asp:TableRow>
                            <asp:TableCell ColumnSpan="6" Style="border-right-style: hidden; border-left-style: hidden; border-top-style: hidden;">対象無線局種別</asp:TableCell></asp:TableRow></asp:Table><asp:Table border="1" ID="T6" Style="width: 300px; table-layout: fixed;" runat="server">
                        <asp:TableRow BackColor="#CCFFFF">
                            <asp:TableHeaderCell>&nbsp;</asp:TableHeaderCell><asp:TableHeaderCell>EX</asp:TableHeaderCell><asp:TableHeaderCell>FX</asp:TableHeaderCell><asp:TableHeaderCell>FB</asp:TableHeaderCell><asp:TableHeaderCell>FBR</asp:TableHeaderCell><asp:TableHeaderCell>ML</asp:TableHeaderCell></asp:TableRow><asp:TableRow>
                            <asp:TableCell Width="200" BackColor="#CCFFFF">北海道</asp:TableCell><asp:TableCell>
                                <asp:CheckBox ID="ex1" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fx1" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fb1" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fbr1" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="ml1" runat="server" /></asp:TableCell>
                        </asp:TableRow>

                        <asp:TableRow>
                            <asp:TableCell BackColor="#CCFFFF">東北</asp:TableCell><asp:TableCell>
                                <asp:CheckBox ID="ex2" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fx2" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fb2" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fbr2" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="ml2" runat="server" /></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell BackColor="#CCFFFF">北陸</asp:TableCell><asp:TableCell>
                                <asp:CheckBox ID="ex3" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fx3" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fb3" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fbr3" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="ml3" runat="server" /></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell BackColor="#CCFFFF">信越</asp:TableCell><asp:TableCell>
                                <asp:CheckBox ID="ex4" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fx4" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fb4" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fbr4" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="ml4" runat="server" /></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell BackColor="#CCFFFF">関東</asp:TableCell><asp:TableCell>
                                <asp:CheckBox ID="ex5" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fx5" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fb5" r runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fbr5" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="ml5" runat="server" /></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell BackColor="#CCFFFF">東海</asp:TableCell><asp:TableCell>
                                <asp:CheckBox ID="ex6" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fx6" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fb6" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fbr6" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="ml6" runat="server" /></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell BackColor="#CCFFFF">近畿</asp:TableCell><asp:TableCell>
                                <asp:CheckBox ID="ex7" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fx7" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fb7" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fbr7" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="ml7" runat="server" /></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell BackColor="#CCFFFF">四国</asp:TableCell><asp:TableCell>
                                <asp:CheckBox ID="ex8" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fx8" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fb8" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fbr8" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="ml8" runat="server" /></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell BackColor="#CCFFFF">中国</asp:TableCell><asp:TableCell>
                                <asp:CheckBox ID="ex9" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fx9" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fb9" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fbr9" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="ml9" runat="server" /></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell BackColor="#CCFFFF">九州</asp:TableCell><asp:TableCell>
                                <asp:CheckBox ID="ex10" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fx10" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fb10" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fbr10" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="ml10" runat="server" /></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell BackColor="#CCFFFF">沖縄</asp:TableCell><asp:TableCell>
                                <asp:CheckBox ID="ex11" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fx11" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fb11" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="fbr11" runat="server" /></asp:TableCell>
                            <asp:TableCell>
                                <asp:CheckBox ID="ml11" runat="server" /></asp:TableCell>
                        </asp:TableRow>


                    </asp:Table>
                    <asp:HiddenField ID="goClose" runat="server" />

                    <!-- エラーメッセージ表示用ラベル -->
                    <asp:Table ID="Table3" runat="server" CssClass="errMsgTbl">

                        <asp:TableRow>
                            <asp:TableCell HorizontalAlign="Center">
                                <asp:Label ID="lblErrMsg" runat="server" ForeColor="Red" Font-Size="16px"></asp:Label>
                            </asp:TableCell></asp:TableRow></asp:Table></form><!--</div>--></div></body></html>