﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EmployeeEditResult.aspx.cs" Inherits="EmpCRM.EmployeeEditResult" %>
EmpCRM
<%-- ヘッダーユーザコントロールを追加 --%>
<%@ Register TagPrefix="cc" TagName="CommonHeader" Src="control/Header.ascx" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" lang="ja">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" href="./css/style.css" type="text/css" />
    <title>従事者情報編集結果</title>
    <script type="text/javascript">
        function LinkClick() {
            window.close();
        }
        function getIndex(no) {
            //alert('This is Hello....' + no);
            document.getElementById("selitem").value = no;
        }

    </script>
    <script src="js/jquery-3.1.1.min.js" type="text/javascript">
    </script>
    <script type="text/javascript">
        //<![CDATA[
        // サーバー側で設定されたラジオボタンの name 属性
        // のオリジナル値を保存しておくための配列。
        var originalNames;

        // ラジオボタンの name 属性の元の値を配列に保存した
        // 上で、同一（この例では radiobutton1）に書き換え。
        $(function () {
            //        alert('Hello.............');
            originalNames = new Array();
            $('#<%=GridView1.ClientID%> input:radio').each(
        function () {
            originalNames.push($(this).attr('name'));
            $(this).attr('name', 'radiobutton1');
        });
        });

        // ポストバックする前に、ラジオボタンの name 属性を
        // オリジナル値に戻すためのメソッド。オリジナル値に
        // 戻さないとチェックされたラジオボタンをサーバー側
        // で取得できず、かつ、再描画されたときにチェックマ
        // ークがつかない。
        // この例では Button1.OnClientClick プロパティにこの
        // メソッドを設定している。
        function RetrieveOriginalNames() {
            $('#<%=GridView1.ClientID%> input:radio').each(
          function (n) {
              //              alert(n);
              $(this).attr('name', originalNames[n]);
          });
        }
        //]]>
    </script>

</head>
<body>
    <div id="wrapper">
        <div id="header">
        </div>
        <!-- header -->

        <div id="main">

            <h2>従事者情報編集</h2>
            <form id="form1" runat="server">

                <asp:Table ID="H1" runat="server" Style="width: 510px">
                    <asp:TableRow>
                        <asp:TableCell ID="TableCell1" ColumnSpan="6" Style="border-right-style: hidden; border-left-style: hidden; border-bottom-style: hidden;" runat="server">
                            <asp:Button ID="selBtn" Text="選択" class="input_submit SmallBtn" runat="server" OnClick="selBtn_Click" />&nbsp;&nbsp;&nbsp;
            <asp:HiddenField ID="selitem" runat="server" />
                            <a id="A1" href="javascript:void(0);" onclick="LinkClick()" class="input_submit SmallBtn" runat="server">閉じる</a>
                        </asp:TableCell>
                    </asp:TableRow>
                </asp:Table>
                <div>




                    <asp:Panel ID="Panel1" runat="server" Width="1200px" ScrollBars="None">
                        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" OnRowCreated="GridView1_RowCreated" AllowPaging="True" OnPageIndexChanging="GridView1_PageIndexChanging">
                            <Columns>
                                <asp:TemplateField HeaderText="選択">
                                    <ItemTemplate>
                                        <asp:RadioButton ID="RadioButton1" GroupName="rdoGrp" runat="server" />
                                    </ItemTemplate>
                                </asp:TemplateField>
                                <asp:BoundField DataField="no" HeaderText="No." />
                                <asp:BoundField DataField="license_number" HeaderText="免許番号">
                                    <HeaderStyle Width="100px" />
                                    <ItemStyle HorizontalAlign="left" />
                                </asp:BoundField>
                                <asp:BoundField DataField="getlicense_date" HeaderText="免許取得日">
                                    <HeaderStyle Width="100px" />
                                    <ItemStyle HorizontalAlign="left" />
                                </asp:BoundField>
                                <asp:BoundField DataField="Lastname" HeaderText="氏名（姓）">
                                    <HeaderStyle Width="100px" />
                                    <ItemStyle HorizontalAlign="left" />
                                </asp:BoundField>
                                <asp:BoundField DataField="Firstname" HeaderText="氏名（名）">
                                    <HeaderStyle Width="100px" />
                                    <ItemStyle HorizontalAlign="left" />
                                </asp:BoundField>
                            </Columns>
                            <HeaderStyle BackColor="#CCFFFF" />
                            <PagerSettings Position="Bottom" Visible="True" Mode="NumericFirstLast" PreviousPageText="<<" LastPageText=">>" />
                            <PagerStyle HorizontalAlign="Center" />
                        </asp:GridView>
                    </asp:Panel>

                </div>


                <!-- エラーメッセージ表示用ラベル -->
                <asp:Table ID="Table3" runat="server" CssClass="errMsgTbl">
                    <asp:TableRow>
                        <asp:TableCell HorizontalAlign="Center">
                            <asp:Label ID="lblErrMsg" runat="server" ForeColor="Red" Font-Size="16px"></asp:Label>
                        </asp:TableCell>
                    </asp:TableRow>
                </asp:Table>


            </form>
        </div>
    </div>
</body>
</html>
