﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EmployeeMissionPermit.aspx.cs" Inherits="EmpCRM.EmployeeMissionPermit" %>

<%-- ヘッダーユーザコントロールを追加 --%>
<%@ Register TagPrefix="cc" TagName="CommonHeader" Src="control/Header.ascx" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" lang="ja">
<head id="Head1" runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" href="./css/style.css" type="text/css" />
    <title>従事者情報編集画面</title>
    <script type="text/javascript">
        var childWindow;
        function LinkClick() {
            var plicenseno = document.forms.form1.licenseno.value;
            var plicensedate = document.forms.form1.licensedate.value;
            var plastname = document.forms.form1.lastname.value;
            var pfirstname = document.forms.form1.firstname.value;
            var pfuri_familyname = document.forms.form1.furi_familyname.value;
            var pfuri_firstname = document.forms.form1.furi_firstname.value;

            var url = 'EmployeeEditResult.aspx?licenseno=' + plicenseno + '&licensedate=' + plicensedate + '&lastname=' + plastname
            + '&firstname=' + pfirstname + '&furi_familyname=' + pfuri_familyname + '&furi_firstname=' + pfuri_firstname;
            window.open(url, null);
        }
        function katakana(str) {
            return str.match(/^[ァ-ヶー]*$/);
        }
        var childWindowCount = 0;
        var childWindows = new Array();
        function ibtnCal1_Click(Flg,Obj) {
            childWindowCount++;
            if (Flg == '1') {
                var l = 230; // 表示するx座標
                var t = 95; // 表示するy座標
                var w = 250; // 横幅
                var h = 220; // 縦幅
                childWindow = window.open("calendar.aspx?name=" + Obj, null,
                    "screenX=" + l + ",screenY=" + t + ",left=" + l + ",top=" + t + ",width=" + w + ",height=" + h + ',menubar=no, toolbar=no, scrollbars=no');

                childWindows[childWindowCount - 1] = childWindow;
            }
            else {
                var l = 500; // 表示するx座標
                var t = 95; // 表示するy座標
                var w = 250; // 横幅
                var h = 220; // 縦幅
                childWindow = window.open("calendar.aspx?name=" + Obj, null,
                    "screenX=" + l + ",screenY=" + t + ",left=" + l + ",top=" + t + ",width=" + w + ",height=" + h + ',menubar=no, toolbar=no, scrollbars=no');

                childWindows[childWindowCount - 1] = childWindow;
            }

            //alert('件数2：　 ' + childWindowCount);
        }
        function closeChildWindow() {
            //alert('How many? ' + childWindowCount);
            for (var i = 0; i < childWindowCount; i++) {
                var closeWindow = childWindows[i];
                if (!closeWindow.closed) {
                    closeWindow.close();
                }
            }
        }

    </script>
</head>
<body>
    <div id="wrapper">
        <cc:CommonHeader ID="CommonHeader" runat="server" />

        <div id="main">

            <h2>従事者 選任/解任 承認</h2>
            <div class="tagReturn">
                ><asp:HyperLink ID="hyperlink2"
                    NavigateUrl="Mainmenu.aspx"
                    Text="メインメニュー"
                    Target="_top"
                    runat="server" />
                <span>＞ </span>
                <span><strong>従事者 選任/解任 承認 </strong></span>
            </div>
            <div id="content">
                <form id="form1" class="inline_block" runat="server">

                    <!-- データ表示グリッド -->

                    <asp:Table ID="Tbl1" border="0" Style="table-layout: fixed;" runat="server" Width="600px">
                        <asp:TableRow>
                            <asp:TableCell ColumnSpan="6"><h3>従事者情報</h3></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell>社内管理部門</asp:TableCell>
                            <asp:TableCell ColumnSpan="5">
                                <asp:Label ID="department" Text="技術統括" runat="server" />
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell>作成日</asp:TableCell><asp:TableCell Width="100px">
                                <asp:TextBox ID="start_date" runat="server" Width="90" />
                            </asp:TableCell><asp:TableCell>
                                <input type="button" runat="server" id="calbtn1" value="日付" onclick="closeChildWindow(); ibtnCal1_Click('1', this.form.start_date.id);" />
                            </asp:TableCell><asp:TableCell HorizontalAlign="center"  >～</asp:TableCell><asp:TableCell>
                                <asp:TextBox ID="end_date" runat="server" Width="90" />
                            </asp:TableCell><asp:TableCell>
                                <input id="calbtn2" type="button" runat="server" value="日付" onclick="    closeChildWindow(); ibtnCal1_Click('2', this.form.end_date.id);" />
                            </asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                    <p>
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;状態&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <asp:CheckBox ID="cb1" Text="仮登録" runat="server" />&nbsp;
                        <asp:CheckBox ID="cb2" Text="承認依頼" runat="server" />&nbsp;
                        <asp:CheckBox ID="cb3" Text="承認済" runat="server" />&nbsp;
                        <asp:CheckBox ID="cb4" Text="否認済" runat="server" />&nbsp;
                        <asp:CheckBox ID="cb5" Text="差戻済" runat="server" />
                    </p>
                    <p>
                        <asp:Button ID="search" Text="検索" OnClick="search_LClick" CssClass="input_submit SmallBtn" runat="server" />
                        <asp:Button ID="clear" Text="クリア" OnClick="Clear_LClick" CssClass="input_submit SmallBtn" runat="server" />
                        <asp:Button ID="modoru" Text="戻る" OnClick="modoru_LClick" CssClass="input_submit SmallBtn" runat="server" />
                    </p>


                    <div id="" class="">

                        <asp:Panel ID="ShoninTB" runat="server">
                            <asp:Button ID="confirm" Text="承認" class="input_submit SmallBtn" AutoPostBack="true" runat="server" OnClick="confirm_Click" />
                            <asp:Button ID="deny" Text="否認" CssClass="input_submit SmallBtn" runat="server" OnClick="Deny_Click" />
                            <asp:Button ID="Sashimodosi" Text="差戻し" CssClass="input_submit SmallBtn" runat="server" OnClick="Sashimodosi_Click" />
                        </asp:Panel>
                        <asp:Table ID="Table1" runat="server">
                            <asp:TableRow>
                                <asp:TableCell ColumnSpan="8" Width="200" Style="border-right-style: hidden; border-left-style: hidden; border-top-style: hidden;">選任/解任更新一覧</asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>
                        <asp:Table ID="Table2" runat="server">
                            <asp:TableRow>
                                <asp:TableCell>
                                    <asp:Button ID="cboxAll" Text="全選択" OnClick="cboxAll_Click" Style="width: 4em; font-size: small;" class="" runat="server" />&nbsp;&nbsp;&nbsp;
            <asp:Button ID="UncboxAll" Text="全解除" OnClick="UncboxAll_Click" Style="width: 4em; font-size: small;" class="" runat="server" />
                                </asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>
                        <asp:Panel ID="Panel1" runat="server" Width="2500px" ScrollBars="None">


                            <asp:GridView ID="GridView1" runat="server" CssClass="gvBody" AllowPaging="True"
                                OnPageIndexChanging="GridView1_PageIndexChanging" AutoGenerateColumns="False"
                                ShowHeaderWhenEmpty="True">
                                <PagerSettings Position="Bottom" Mode="NumericFirstLast" />
                                <PagerStyle HorizontalAlign="Center" CssClass="pagerRow" />
                                <HeaderStyle CssClass="gvHead" HorizontalAlign="Center" />
                                <Columns>
                                    <asp:TemplateField HeaderText="選択">
                                        <HeaderStyle Width="30" />
                                        <EditItemTemplate>
                                            <asp:CheckBox ID="CheckBox1" runat="server" />
                                        </EditItemTemplate>
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkbox" runat="server" />
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="no" HeaderStyle-HorizontalAlign="Left" HeaderText="No.">
                                        <ItemStyle HorizontalAlign="Center" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="Lastname" HeaderText="氏名（姓）">
                                        <HeaderStyle HorizontalAlign="Center" Width="100px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="Firstname" HeaderText="氏名（名）">
                                        <HeaderStyle HorizontalAlign="Center" Width="100px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="license_number" HeaderStyle-HorizontalAlign="Center" HeaderText="免許番号">
                                        <HeaderStyle Width="150px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="dummy" HeaderStyle-HorizontalAlign="Center" HeaderText="状態">
                                        <HeaderStyle Width="100px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="belong_company" HeaderStyle-HorizontalAlign="Center" HeaderText="所属会社">
                                        <HeaderStyle Width="180px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="okinawa" HeaderStyle-HorizontalAlign="Center" HeaderText="沖縄">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="kyuushu" HeaderStyle-HorizontalAlign="Center" HeaderText="九州">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="chugoku" HeaderStyle-HorizontalAlign="Center" HeaderText="中国">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="shikoku" HeaderStyle-HorizontalAlign="Center" HeaderText="四国">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="kinki" HeaderStyle-HorizontalAlign="Center" HeaderText="近畿">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="tokai" HeaderStyle-HorizontalAlign="Center" HeaderText="東海">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="kantou" HeaderStyle-HorizontalAlign="Center" HeaderText="関東">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="shinetsu" HeaderStyle-HorizontalAlign="Center" HeaderText="信越">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="hokuriku" HeaderStyle-HorizontalAlign="Center" HeaderText="北陸">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="touhoku" HeaderStyle-HorizontalAlign="Center" HeaderText="東北">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="hokkaidou" HeaderStyle-HorizontalAlign="Center" HeaderText="北海道">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                </Columns>
                                <HeaderStyle BackColor="#CCFFFF" />
                                <PagerSettings Position="Bottom" Mode="NumericFirstLast" PreviousPageText="<<" LastPageText=">>" />

                                <PagerStyle BackColor="" CssClass="C1Heading" Height="30px"
                                    VerticalAlign="Bottom"
                                    HorizontalAlign="Center" />
                            </asp:GridView>
                        </asp:Panel>
                        <!-- エラーメッセージ表示用ラベル -->
                        <asp:Table ID="Table3" runat="server" CssClass="errMsgTbl">
                            <asp:TableRow>
                                <asp:TableCell HorizontalAlign="Center">
                                    <asp:Label ID="lblErrMsg" runat="server" ForeColor="Red" Font-Size="16px"></asp:Label>
                                </asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>
                    </div>
                    <div style="width: 2016px"></div>
                </form>
            </div>
        </div>
    </div>
</body>
</html>
