﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EmployeeSearch.aspx.cs" Inherits="EmpCRM.EmployeeSearch" %>

<%-- ヘッダーユーザコントロールを追加 --%>
<%@ Register TagPrefix="cc" TagName="CommonHeader" Src="control/Header.ascx" %>

<!DOCTYPE html>
<%@ Import Namespace="System.Data" %>

<html xmlns="http://www.w3.org/1999/xhtml" lang="ja">
<head id="Head1" runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" href="./css/style.css" type="text/css" />
    <title>選任/解任情報 検索・設定</title>
    <script type="text/javascript">
        function getIndex(no) {
            //alert('This is Hello....' + no);
            document.getElementById("selitem").value = no;

        }
        function getIndexcbSelPosition(no) {
            //alert('This is Hello....' + no);
            document.getElementById("updcb").value = no;
        }
        function LinkClick() {
            //var plicenseno = document.forms.form1.licenseno.value;
            //var plicensedate = document.forms.form1.licensedate.value;
            // var plastname = document.forms.form1.lastname.value;
            // var pfirstname = document.forms.form1.firstname.value;
            // var pfuri_familyname = document.forms.form1.furi_familyname.value;
            // var pfuri_firstname = document.forms.form1.furi_firstname.value;

            //var url = 'EmployeeEditResult.aspx?licenseno=' + plicenseno + '&licensedate=' + plicensedate + '&lastname=' + plastname
            //+ '&firstname=' + pfirstname + '&furi_familyname=' + pfuri_familyname + '&furi_firstname=' + pfuri_firstname;
            if (document.getElementById("selitem").value == '') {
                alert('従事者情報を選択してください。');
                return false;
            }

            var url = "EmployeeEditPosi.aspx?sel=" + document.getElementById("selitem").value + "&PageSize=" + document.getElementById("PageSize").value;            //alert(url)

            window.open(url, null);
        }
    </script>
    <script src="js/jquery-3.1.1.min.js" type="text/javascript">
    </script>
    <script type="text/javascript">
        //<![CDATA[
        // サーバー側で設定されたラジオボタンの name 属性
        // のオリジナル値を保存しておくための配列。
        var originalNames;

        // ラジオボタンの name 属性の元の値を配列に保存した
        // 上で、同一（この例では radiobutton1）に書き換え。
        $(function () {
            //        alert('Hello.............');
            originalNames = new Array();
            $('#<%=GridView3.ClientID%> input:radio').each(
        function () {
            originalNames.push($(this).attr('name'));
            $(this).attr('name', 'radiobutton1');
        });
        });

        // ポストバックする前に、ラジオボタンの name 属性を
        // オリジナル値に戻すためのメソッド。オリジナル値に
        // 戻さないとチェックされたラジオボタンをサーバー側
        // で取得できず、かつ、再描画されたときにチェックマ
        // ークがつかない。
        // この例では Button1.OnClientClick プロパティにこの
        // メソッドを設定している。
        function RetrieveOriginalNames() {
            $('#<%=GridView3.ClientID%> input:radio').each(
          function (n) {
              // alert(n);
              $(this).attr('name', originalNames[n]);
          });
        }
        //]]>
    </script>
    <script runat="server">


    </script>

</head>
<body>
    <div id="wrapper">
        <cc:CommonHeader ID="CommonHeader" runat="server" />

        <div id="main">
            <h2>選任/解任情報&nbsp;検索・設定</h2>
            <div class="tagReturn">
                <span>＞ </span>
                <asp:HyperLink ID="hyperlink2"
                    NavigateUrl="Mainmenu.aspx"
                    Text="メインメニュー"
                    Target="_top"
                    runat="server" />
                <span>＞ </span>
                <span><strong>検索、選任/解任設定 </strong></span>

            </div>
            <div id="content">
                <form id="form1" class="inline_block" runat="server">
                    <asp:Table ID="Table1" border="0" Style="width: 870px; table-layout: fixed;" runat="server">
                        <asp:TableRow>
                            <asp:TableCell ColumnSpan="4" Style="border-right-style: hidden; border-left-style: hidden; border-top-style: hidden;"><h3>従事者情報</h3></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell>社内管理部門</asp:TableCell>
                            <asp:TableCell ColumnSpan="5">
                                <asp:Label ID="department" Text="技術統括&nbsp;ﾓﾊﾞｲﾙ技術本部&nbsp;ﾈｯﾄﾜｰｸ企画統括部&nbsp;電波部&nbsp;免許ｻﾎﾟｰﾄ課" runat="server" />
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell>免許番号</asp:TableCell>
                            <asp:TableCell>
                                <asp:TextBox ID="licenseno" runat="server" />
                            </asp:TableCell>
                            <asp:TableCell ColumnSpan="4"></asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell>氏名（姓）</asp:TableCell><asp:TableCell>
                                <asp:TextBox ID="lastname" runat="server" />
                            </asp:TableCell><asp:TableCell>氏名（名）</asp:TableCell><asp:TableCell>
                                <asp:TextBox ID="firstname" runat="server" />
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell>ふりがな（姓）</asp:TableCell><asp:TableCell>
                                <asp:TextBox ID="furi_familyname" runat="server" />
                            </asp:TableCell><asp:TableCell>ふりがな（名）</asp:TableCell><asp:TableCell>
                                <asp:TextBox ID="furi_firstname" runat="server" />
                            </asp:TableCell>
                        </asp:TableRow>

                        <asp:TableRow>
                            <asp:TableCell>所属会社（施工会社）</asp:TableCell><asp:TableCell>
                                <asp:DropDownList ID="BelongLtdList" runat="server" OnSelectedIndexChanged="BelongLtdList_SelectedIndexChanged" AutoPostBack="true" />
                            </asp:TableCell>
                            <asp:TableCell>所属部署（施工会社）</asp:TableCell><asp:TableCell>
                                <asp:DropDownList ID="BelongDeptList" runat="server" />
                            </asp:TableCell>
                        </asp:TableRow>
                        <asp:TableRow>
                            <asp:TableCell ColumnSpan="4" Style="border-right-style: hidden; border-left-style: hidden; border-bottom-style: hidden;">
                                <asp:Button ID="search" Text="検索" OnClick="search_Click" CssClass="input_submit SmallBtn" runat="server" />
                                <asp:Button ID="clear" Text="クリア" OnClick="clear_Click" CssClass="input_submit SmallBtn" runat="server" />
                                <asp:Button ID="modoru" Text="戻る" OnClick="modoru_Click" CssClass="input_submit SmallBtn" runat="server" />
                            </asp:TableCell>
                        </asp:TableRow>
                    </asp:Table>
                    <div id="" class="EmployeeSearchTable">

                        <asp:Table border="0" ID="workerInfo_t" runat="server" Height="12px">

                            <asp:TableRow>
                                <asp:TableCell Style="border-right-style: hidden; border-left-style: hidden; border-bottom-style: hidden;">
                                    <asp:Button ID="statusDetail" Text="詳細状況表示" CssClass="input_submit LargeBtn" runat="server" OnClick="statusDetail_Click" OnClientClick="RetrieveOriginalNames();" />
                                    <asp:HyperLink ID="PosEdit"
                                        NavigateUrl="javascript:void(0);"
                                        Text="選任/解任編集"
                                        runat="server"
                                        OnClick="LinkClick()"
                                        CssClass="input_submit LargeBtn" />

                                </asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>
                        <asp:Table runat="server" ID="T2">
                            <asp:TableRow>
                                <asp:TableCell Width="100" Style="border-right-style: hidden; border-left-style: hidden; border-top-style: hidden;">従事者情報一覧</asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>
                        <asp:HiddenField ID="selitem" runat="server" />
                        <asp:HiddenField ID="PageSize" runat="server" />
                    </div>
                    <div id="Div1" class="">

                        <asp:GridView ID="GridView3" runat="server" AutoGenerateColumns="False" OnRowCreated="GridView3_RowCreated" AllowPaging="True" Height="10px" OnPageIndexChanging="GridView3_PageIndexChanging">
                            <Columns>
                                <asp:TemplateField HeaderText="選択">
                                    <ItemTemplate>
                                        <asp:RadioButton ID="RadioButton1" GroupName="rdoGrp" runat="server" />
                                    </ItemTemplate>
                                </asp:TemplateField>


                                <asp:BoundField DataField="no" HeaderText="No." />
                                <asp:BoundField DataField="license_number" HeaderText="免許番号">
                                    <HeaderStyle Width="100px" HorizontalAlign="Center" />
                                    <ItemStyle HorizontalAlign="Left" />
                                </asp:BoundField>
                                <asp:BoundField DataField="license_name" HeaderText="資格名">
                                    <HeaderStyle Width="250px" HorizontalAlign="Center" />
                                    <ItemStyle HorizontalAlign="Left" />
                                </asp:BoundField>
                                <asp:BoundField DataField="Lastname" HeaderText="氏名（姓）">
                                    <HeaderStyle Width="100px" HorizontalAlign="Center" />
                                    <ItemStyle HorizontalAlign="Left" />
                                </asp:BoundField>
                                <asp:BoundField DataField="Firstname" HeaderText="氏名（名）" />
                                <asp:BoundField DataField="LastName_Kana" HeaderText="ふりがな（性）">
                                    <HeaderStyle Width="100px" HorizontalAlign="Center" />
                                    <ItemStyle HorizontalAlign="Left" />
                                </asp:BoundField>
                                <asp:BoundField DataField="FirstName_Kana" HeaderText="ふりがな（名）">
                                    <HeaderStyle Width="100px" HorizontalAlign="Center" />
                                    <ItemStyle HorizontalAlign="Left" />
                                </asp:BoundField>
                            </Columns>
                            <HeaderStyle BackColor="#CCFFFF" />
                            <PagerSettings Position="Bottom" Visible="True" Mode="NumericFirstLast" PreviousPageText="<<" LastPageText=">>" />
                            <PagerSettings Position="Bottom" Mode="NumericFirstLast" PreviousPageText="<<" LastPageText=">>" />

                            <PagerStyle BackColor="" CssClass="C1Heading" Height="30px"
                                VerticalAlign="Bottom"
                                HorizontalAlign="Center" />
                        </asp:GridView>

                        <div>
                            <asp:Table ID="Table2" runat="server">
                                <asp:TableRow>
                                    <asp:TableCell ColumnSpan="4" Style="border-right-style: hidden; border-left-style: hidden; border-top-style: hidden;">選任/解任状況</asp:TableCell>
                                </asp:TableRow>
                            </asp:Table>
                        </div>
                        <asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" OnRowCreated="GridView2_RowCreated" AllowPaging="True" Width="1500px" Height="16px" OnPageIndexChanging="GridView2_PageIndexChanging">
                            <Columns>

                                <asp:BoundField DataField="apploval_flag" HeaderText="ステータス" />
                                <asp:BoundField DataField="dummy" HeaderText="ステータス">
                                    <HeaderStyle Width="120px" />
                                    <ItemStyle HorizontalAlign="Left" />
                                </asp:BoundField>
                                <asp:BoundField DataField="no" HeaderText="No.">
                                    <HeaderStyle Width="50px" />
                                </asp:BoundField>
                                <asp:BoundField DataField="belong_company" HeaderText="所属会社">
                                    <HeaderStyle Width="450px" />
                                    <ItemStyle HorizontalAlign="Left" />
                                </asp:BoundField>
                                <asp:BoundField DataField="belong_department" HeaderText="所属部署">
                                    <HeaderStyle Width="450px" />
                                    <ItemStyle HorizontalAlign="Left" />
                                </asp:BoundField>
                                <asp:BoundField DataField="okinawa" HeaderText="沖縄">
                                    <HeaderStyle Width="80px" />
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="kyuushu" HeaderText="九州">
                                    <HeaderStyle Width="80px" />
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="chugoku" HeaderText="中国">
                                    <HeaderStyle Width="80px" />
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="shikoku" HeaderText="四国">
                                    <HeaderStyle Width="80px" />
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="kinki" HeaderText="近畿">
                                    <HeaderStyle Width="80px" />
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="tokai" HeaderText="東海">
                                    <HeaderStyle Width="80px" />
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="kantou" HeaderText="関東">
                                    <HeaderStyle Width="80px" />
                                    <ItemStyle HorizontalAlign="Left" />
                                </asp:BoundField>
                                <asp:BoundField DataField="shinetsu" HeaderText="信越">
                                    <HeaderStyle Width="80px" />
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="hokuriku" HeaderText="北陸">
                                    <HeaderStyle Width="80px" />
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="touhoku" HeaderText="東北">
                                    <HeaderStyle Width="80px" />
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                                <asp:BoundField DataField="hokkaidou" HeaderText="北海道">
                                    <HeaderStyle Width="80px" />
                                    <ItemStyle Wrap="False" />
                                </asp:BoundField>
                            </Columns>
                            <HeaderStyle BackColor="#CCFFFF" />
                            <PagerSettings Position="Bottom" Visible="True" Mode="NumericFirstLast" PreviousPageText="<<" LastPageText=">>" />
                            <PagerStyle HorizontalAlign="Center" />

                        </asp:GridView>

                        <div id="Div2" class="EmployeeSearcMisshTable">
                            <asp:Table ID="T100" runat="server">
                                <asp:TableRow>
                                    <asp:TableCell Style="border-right-style: hidden; border-left-style: hidden; border-top-style: hidden;">選任/解任更新一覧</asp:TableCell>
                                </asp:TableRow>
                                <asp:TableRow ID="uupdateShoninRow">
                                    <asp:TableCell Style="border-right-style: hidden; border-left-style: hidden; border-bottom-style: hidden;">
                                        <asp:Button ID="uupdateShonin" Text="承認依頼" OnClick="uupdateShonin_Click" CssClass="input_submit LargeBtn" runat="server" />
                                    </asp:TableCell>
                                </asp:TableRow>
                            </asp:Table>
                            <asp:HiddenField ID="updcb" runat="server" />
                            <asp:Table ID="Table4" runat="server">
                                <asp:TableRow>
                                    <asp:TableCell>
                                        <asp:Button ID="cboxAll" Text="全選択" OnClick="cboxAll_Click" Style="width: 4em; font-size: small;" class="" runat="server" />&nbsp;&nbsp;&nbsp;
            <asp:Button ID="UncboxAll" Text="全解除" OnClick="UncboxAll_Click" Style="width: 4em; font-size: small;" class="" runat="server" />
                                    </asp:TableCell>
                                </asp:TableRow>
                            </asp:Table>
                        </div>
                        <div>


                            <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" Height="10px" AllowPaging="True" OnPageIndexChanging="GridView1_PageIndexChanging" OnDataBound="GridView1_DataBound" Width="1500px">
                                <HeaderStyle BackColor="#CCFFFF" />
                                <Columns>
                                    <asp:TemplateField HeaderText="選択">
                                        <HeaderStyle Width="50" />
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkbox" runat="server" />
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:BoundField HeaderText="免許番号" HeaderStyle-HorizontalAlign="Center" DataField="license_number">
                                        <HeaderStyle Width="180px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField HeaderText="氏名（姓）" HeaderStyle-HorizontalAlign="Center" DataField="Lastname">
                                        <HeaderStyle Width="100px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="Firstname" HeaderText="氏名（名）" HeaderStyle-HorizontalAlign="Center">
                                        <HeaderStyle Width="100px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField HeaderText="沖縄" HeaderStyle-HorizontalAlign="Center" DataField="okinawa">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField HeaderText="九州" HeaderStyle-HorizontalAlign="Center" DataField="kyuushu">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField HeaderText="中国" HeaderStyle-HorizontalAlign="Center" DataField="chugoku">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField HeaderText="四国" HeaderStyle-HorizontalAlign="Center" DataField="shikoku">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField HeaderText="近畿" HeaderStyle-HorizontalAlign="Center" DataField="kinki">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField HeaderText="東海" HeaderStyle-HorizontalAlign="Center" DataField="tokai">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField HeaderText="関東" HeaderStyle-HorizontalAlign="Center" DataField="kantou">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField HeaderText="信越" HeaderStyle-HorizontalAlign="Center" DataField="shinetsu">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField HeaderText="北陸" HeaderStyle-HorizontalAlign="Center" DataField="hokuriku">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField HeaderText="東北" HeaderStyle-HorizontalAlign="Center" DataField="touhoku">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField HeaderText="北海道" HeaderStyle-HorizontalAlign="Center" DataField="hokkaidou">
                                        <HeaderStyle Width="80px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                </Columns>
                                <HeaderStyle BackColor="#CCFFFF" />
                                <PagerSettings Position="Bottom" Visible="True" Mode="NumericFirstLast" PreviousPageText="<<" LastPageText=">>" />
                                <PagerStyle HorizontalAlign="Center" />
                            </asp:GridView>
                            <!-- エラーメッセージ表示用ラベル -->
                            <asp:Table ID="Table3" runat="server" CssClass="errMsgTbl">
                                <asp:TableRow>
                                    <asp:TableCell HorizontalAlign="Center">
                                        <asp:Label ID="lblErrMsg" runat="server" ForeColor="Red" Font-Size="16px"></asp:Label>
                                    </asp:TableCell>
                                </asp:TableRow>
                            </asp:Table>
                            <!-- データ表示グリッド -->
                </form>
            </div>
        </div>
    </div>
</body>
</html>
