﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EmployeeAllAdd.aspx.cs" Inherits="EmpCRM.EmployeeAllAdd" %>

<%-- ヘッダーユーザコントロールを追加 --%>
<%@ Register TagPrefix="cc" TagName="CommonHeader" Src="control/Header.ascx" %>
<%@ Register TagPrefix="cc" TagName="DepartmentSelector" Src="control/DepartmentSelector.ascx" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" lang="ja">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" href="./css/style.css" type="text/css" />
    <title>従事者・選任/解任情報 一括登録</title>
    <script type="text/javascript">
<!--
    //-->
    </script>
</head>
<body>
    <div id="wrapper">
        <cc:CommonHeader ID="CommonHeader" runat="server" />
        <div id="main">

            <h2>一括登録画面</h2>
            <div class="tagReturn">
                <span>＞ </span>
                <asp:HyperLink ID="hyperlink2"
                    NavigateUrl="Mainmenu.aspx"
                    Text="メインメニュー"
                    Target="_top"
                    runat="server" />
                <span>＞ </span>
                <span><strong>一括登録画面 </strong></span>
            </div>
            <div id="content">

                <form id="form1" method="POST" class="inline_block" enctype="multipart/form-data" runat="server">

                    <div id="Bu1" class="ddlBumon" runat="server">
                        <div class="ddlTitle1">
                            <asp:Label ID="lblNewBumon" runat="server">社内管理部門：</asp:Label>
                        </div>
                                <asp:Label ID="belong_department" Text="部署" runat="server"></asp:Label>
                        
                    </div>
                    <div id="Bu2" class="ddlBumon" runat="server">
                        <div class="ddlTitle1">
                            <asp:Label ID="Label1" runat="server">社内管理部門：</asp:Label>
                        </div>
                        <cc:DepartmentSelector ID="ccDeepartmentSelector" runat="server" />
                    </div>

                    <div class="inputArea">
                        <asp:FileUpload ID="FileUpload1" runat="server" class="input_file" />
                    </div>
                    <div id="buttonArea" class="inputArea">
                        <asp:Button ID="Torikomi" Text="取込実行" class="input_submit LargeBtn" runat="server" OnClick="Torikomi_Click" OnClientClick="return confirm('一括登録してよろしいでしょうか？');" />
                        <asp:Button ID="modoru" Text="戻る" class="input_submit LargeBtn" runat="server" OnClick="modoru_Click" />
                    </div>

                    <div id="" class="WorkerTable">
                        <asp:Table ID="T1" runat="server">
                            <asp:TableRow>
                                <asp:TableCell ColumnSpan="8">
                                    <asp:Button ID="reRead" Text="再取込" OnClick="reRead_Click" class="input_submit SmallBtn" runat="server" />
                                    <asp:Button ID="rcdRemove" Text="削除" class="input_submit SmallBtn" runat="server" OnClick="rcdRemove_Click" />
                                </asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>

                        <asp:Table ID="T1000" runat="server" Width="200">
                            <asp:TableRow>
                                <asp:TableCell Style="border-right-style: hidden; border-left-style: hidden; border-top-style: hidden;">未取込データ一覧：</asp:TableCell>

                            </asp:TableRow>


                        </asp:Table>
                        <asp:Table ID="Table2" runat="server">
                            <asp:TableRow>
                                <asp:TableCell>
                                    <asp:Button ID="cboxAll" Text="全選択" OnClick="cboxAll_Click" Style="width: 4em; font-size: small;" class="" runat="server" />&nbsp;&nbsp;&nbsp;
            <asp:Button ID="UncboxAll" Text="全解除" OnClick="UncboxAll_Click" Style="width: 4em; font-size: small;" class="" runat="server" />
                                </asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>
                    </div>

                    <div id="Div1" class="ErrWorkerInfo">

                        <asp:Panel ID="Panel1" runat="server" ScrollBars="None">
                        </asp:Panel>

                        <asp:Panel ID="Panel2" runat="server">
                            <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" Height="10px" AllowPaging="True" OnPageIndexChanging="GridView1_PageIndexChanging">
                                <HeaderStyle BackColor="#CCFFFF" />
                                <Columns>
                                    <asp:TemplateField HeaderText="選択">
                                        <HeaderStyle Width="50" />
                                        <ItemStyle HorizontalAlign="Center" Width="50px" />
                                        <ItemTemplate>
                                            <asp:CheckBox ID="chkbox" runat="server" AutoPostBack="false" />
                                        </ItemTemplate>
                                    </asp:TemplateField>
                                    <asp:BoundField DataField="no" HeaderText="No." HeaderStyle-HorizontalAlign="Center">
                                        <HeaderStyle Width="50px" />
                                        <ItemStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="Lastname" HeaderText="氏名（姓）" HeaderStyle-HorizontalAlign="Center">
                                        <HeaderStyle Width="100px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="Firstname" HeaderText="氏名（名）">
                                        <HeaderStyle Width="100px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="license_number" HeaderText="免許番号" HeaderStyle-HorizontalAlign="Center">
                                        <HeaderStyle Width="150px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="belong_company" HeaderText="所属会社" HeaderStyle-HorizontalAlign="Center">
                                        <HeaderStyle Width="200px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="belong_department" HeaderText="所属部門" HeaderStyle-HorizontalAlign="Center">
                                        <HeaderStyle Width="300px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="errmessage" HeaderText="メッセージ" HeaderStyle-HorizontalAlign="Center">
                                        <HeaderStyle Width="500px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    <asp:BoundField DataField="kind" HeaderText="種別" HeaderStyle-HorizontalAlign="Center">
                                        <HeaderStyle Width="100px" />
                                        <ItemStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                </Columns>
                                <HeaderStyle BackColor="#CCFFFF" />
                                <PagerSettings Position="Bottom" Mode="NumericFirstLast" PreviousPageText="<<" LastPageText=">>" />

                                <PagerStyle BackColor="" CssClass="C1Heading" Height="30px"
                                    VerticalAlign="Bottom"
                                    HorizontalAlign="Center" />

                            </asp:GridView>
                        </asp:Panel>


                        <asp:Table ID="T101" runat="server" Width="100%">

                            <asp:TableRow>
                                <asp:TableCell Style="border-right-style: hidden; border-left-style: hidden; border-top-style: hidden;">エラーデータ一覧：
                                </asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>

                    </div>




                    <!-- データ表示グリッド -->

                    <asp:GridView ID="GridView2" runat="server" AutoGenerateColumns="False" Height="10px" AllowPaging="True" OnPageIndexChanging="GridView2_PageIndexChanging">
                        <HeaderStyle BackColor="#CCFFFF" />
                        <Columns>
                            <asp:BoundField DataField="row" HeaderText="行数" HeaderStyle-HorizontalAlign="Center">
                                <HeaderStyle Width="50px" />
                                <ItemStyle HorizontalAlign="Right" />
                            </asp:BoundField>


                            <asp:BoundField DataField="Lastname" HeaderText="氏名（姓）" HeaderStyle-HorizontalAlign="Center">
                                <HeaderStyle Width="100px" />
                                <ItemStyle HorizontalAlign="Left" />
                            </asp:BoundField>

                            <asp:BoundField DataField="Firstname" HeaderText="氏名（名）">
                                <HeaderStyle Width="100px" />
                                <ItemStyle HorizontalAlign="Left" />
                            </asp:BoundField>

                            <asp:BoundField DataField="license_number" HeaderText="免許番号" HeaderStyle-HorizontalAlign="Center">
                                <HeaderStyle Width="150px" />
                                <ItemStyle HorizontalAlign="Left" />
                            </asp:BoundField>

                            <asp:BoundField DataField="belong_company" HeaderText="所属会社" HeaderStyle-HorizontalAlign="Center">
                                <HeaderStyle Width="200px" />
                                <ItemStyle HorizontalAlign="Left" />
                            </asp:BoundField>

                            <asp:BoundField DataField="belong_department" HeaderText="所属部門" HeaderStyle-HorizontalAlign="Center">
                                <HeaderStyle Width="300px" />
                                <ItemStyle HorizontalAlign="Left" />
                            </asp:BoundField>

                            <asp:BoundField DataField="errmessage" HeaderText="メッセージ" HeaderStyle-HorizontalAlign="Center">
                                <HeaderStyle Width="500px" />
                                <ItemStyle HorizontalAlign="Left" />
                            </asp:BoundField>

                        </Columns>
                        <HeaderStyle BackColor="#CCFFFF" />
                        <PagerSettings Position="Bottom" Mode="NumericFirstLast" PreviousPageText="<<" LastPageText=">>" />

                        <PagerStyle BackColor="" CssClass="C1Heading" Height="30px"
                            VerticalAlign="Bottom"
                            HorizontalAlign="Center" />

                    </asp:GridView>
                    <div>
                        <!-- エラーメッセージ表示用ラベル -->
                        <asp:Table ID="Table3" runat="server"  CssClass="errMsgTbl">
                            <asp:TableRow>
                                <asp:TableCell HorizontalAlign="Center">
                                    <asp:Label ID="lblErrMsg" runat="server" ForeColor="Red" Font-Size="16px"></asp:Label>
                                </asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>

                    </div>



                </form>

            </div>
        </div>
    </div>
</body>
</html>
