﻿#region "共通定数クラス"
//-----------------------------------------------------------------------
//【ファイル名】  共通定数クラス
//【機　能】      
//【備　考】  　　
//【作成者】      nakamura
//【作成日】      2017/1/28
//【修正履歴】    YYYY/MM/DD 修正内容　修正者
//-----------------------------------------------------------------------
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EmpCRM.common
{
    public class ComConst
    {   
        //********** セッション定数 **********

        public const string COM_FUNC = "com_func";

        public const string COM_DB = "com_db";

        public const string ERR_MSG = "err_message";

        public const string USER_AUTH = "user_auth";

        public const string USER_ID = "user_id";

        /// <summary> ユーザロール </summary>
        public const string SESSION_USER_ROLE = "UserRole";
        /// <summary> 部門マスタ </summary>
        public const string SESSION_BUMON_MASTER = "BumonMaster";
        public const string SESSION_LICENSE_NAME_MASTER = "LicenseNameMaster";

        //従事者情報
        public const string LICENSE_NUM = "license_number";

        public const string LICENSE_DATE = "getlicense_date";

        public const string LASTNAME = "LastName";
        
        public const string FIRSTNAME = "FirstName";

        public const string LASTNAME_KANA = "LastName_Kana";

        public const string FIRSTNAME_KANA = "FirstName_Kana";


        public const string ENGINEERID = "enginnerID";

        public const string SELECTION_ID = "selection_id";

        public const string rd_enginner_infoL = "rd_enginner_infoL";

        public const string selection_personal = "selection_personal";
        //
        public const string EX = "EX";
        public const string FX = "FX";
        public const string FB = "FB";
        public const string FBR = "FBR";
        public const string ML = "ML";

        //Excel用
        public const int DATA_INDEX = 9;
        public const string WKINFO = "workerinfo";
        public const string ROWEND = "END";


        public enum errKind { W, E, I};

        //免許番号用
        //発給局所
        public enum PublishOfiice { A, B, C,D,E,F,G,H,I,J,O };
        //発給年度
//       public enum PublishYear { D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z,AA,AB,AC,AD,AE,AF,AG,AH,AI,AJ,AK,AL,AM,AN,AO,AP,AQ,AR,AS,AT,AU,AV,AW,AX,AY,AZ,BA,BB,BC,BD,BE,BF,BG,BH,BI,BJ,BK,BL,BM,BN,BO,BP,BQ,BR,BS,BT,BU,BV,BW,BX,BY,BZ};
        public enum PublishYear {A,B, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z };
        //４桁目 M,P,S以外
        public enum PublishKind { A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z };
        //
        public enum PublishKind1 { D, E, F, G, H, I, J, K, L,  N, O,  Q, R,  T, U, V, W, X, Y, Z };
        //
        public enum PublishKind2 { D, E, F, G, H, I, J, K, L, M, N, O, P,Q, R,S, T, U, V, W, X, Y, Z };
        public enum PublishKind3 { A, B, C, D, E, F, G, H, I, J, K, L,  N, O,  Q, R,  T, U, V, W, X, Y, Z };

        //システム定数
        //Web.Config項目参照用文字列
        public const string CONFIG_DOMAIN_NAME = "DomainName";
        public const string CONFIG_PRIMARY_AUTH_SERVER = "AuthServer1";
        public const string CONFIG_SECONDARY_AUTH_SERVER = "AuthServer2";
        public const string CONFIG_SECTION_FILTER = "SectionFilter";
        public const string CONFIG_ADMIN_USER = "AdminUser";
        public const string CONFIG_ADMIN_PASSWORD = "AdminPasswd";
        public const string CONFIG_APPLICATION_LIST_FILE_NAME = "ApplicationListFileName";
        public const string CONFIG_APPLICATION_STATUS_LIST_FILE_NAME = "ApplicationStatausListFileName";
        public const string CONFIG_CONNECTION_STRING = "Softbank_dev";
        public const string CONFIG_GRIDVIEW_PAGESIZE = "GridViewPageSize";
        public const string CONFIG_RO_AREA_NAME = "ROArea";
        public const string CONFIG_APPLICATION_NAME = "ApplicationName";
        public const string CONFIG_SECTION_LIST = "SectionList";
        public const string CONFIG_EXCEL_FORMAT_FILEPATH = "ExcelFormatFilePath";


        //権限ID
        public const string SYSTEM_OPERATE_USER = "ROSystemOperate";
        public const string APPROVAL_USER = "ROApproval";
        public const string REQUEST_USER = "RORequest";

        //地域ロールに付属する接頭辞
        public const string RO_PREFIX = "RO_";

        /// <summary>
        /// ページ切り替え番号の表示数
        /// </summary>
        public const int C_PAGE_NUMBER = 10;

        //ログ出力用
        public const string INFO_LOG_START = "START:UESR:";
        public const string INFO_LOG_END = "END  :UESR:";

        //属性名
        public const string ATTRIBUTE_DISPLAYNAME = "displayname";
        public const string ATTRIBUTE_CN = "cn";
        public const string ATTRIBUTE_MEMBEROF = "memberof";
        public const string ATTRIBUTE_DEPARTMENT = "department";
        public const string ATTRIBUTE_DEPARTMENTNUMBER = "departmentnumber";
        public const string ATTRIBUTE_OU = "ou";

        #region 承認ステータス
        public const string MISHONIN = "未承認";
        public const string SHONIN_REQ = "承認依頼";
        public const string SHONIN_COMPLETED = "承認済み";
        public const string SHONIN_DENY = "否認";
        public const string SHONIN_RETURN = "差戻し";
        #endregion

        #region 選任/解任
        public const string SENNIN = "選任";
        public const string KAININ = "解任";
        #endregion

        //会社用
        public const string COMPANY_ID = "company_id";

        public const string COMPANY_JNAME = "company_name";



    }
}