﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EmployeeSelectedDateAdd.aspx.cs" Inherits="EmpCRM.EmployeeSelectedDateAdd" %>
<%-- ヘッダーユーザコントロールを追加 --%>
<%@ Register Tagprefix="cc" Tagname="CommonHeader" Src="control/Header.ascx" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" lang="ja">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" href="./css/style.css" type="text/css" />
    <title>選任/解任日設定</title>
    <script type="text/javascript">
<!--

    function modoru() {
        location.href = "./Mainmenu.html";
    }
    var childWindowCount = 0;
    var childWindows = new Array();
    function ibtnCal1_Click(Flg,Obj) {
        childWindowCount++;
        if (Flg == '1') {
            var l = 230; // 表示するx座標
            var t = 95; // 表示するy座標
            var w = 260; // 横幅
            var h = 210; // 縦幅
            childWindow = window.open("calendar.aspx?name=" + Obj, null,
            "screenX=" + l + ",screenY=" + t + ",left=" + l + ",top=" + t + ",width=" + w + ",height=" + h + ',menubar=no, toolbar=no, scrollbars=no');

            childWindows[childWindowCount - 1] = childWindow;
        }
        else {
            var l = 500; // 表示するx座標
            var t = 95; // 表示するy座標
            var w = 260; // 横幅
            var h = 210; // 縦幅
            childWindow = window.open("calendar.aspx?name=" + Obj, null,
            "screenX=" + l + ",screenY=" + t + ",left=" + l + ",top=" + t + ",width=" + w + ",height=" + h + ',menubar=no, toolbar=no, scrollbars=no');

            childWindows[childWindowCount - 1] = childWindow;
        }

        //alert('件数2：　 ' + childWindowCount);
    }
    function closeChildWindow() {
        //alert('How many? ' + childWindowCount);
        for (var i = 0; i < childWindowCount; i++) {
            var closeWindow = childWindows[i];
            if (!closeWindow.closed) {
                closeWindow.close();
            }
        }
    }

    //-->
    </script>
</head>
<body>
    <div id="wrapper">
        <!-- header -->
        <cc:CommonHeader ID="CommonHeader" runat="server" />

        <div id="main">

            <h2>従事者&nbsp;選任/解任日&nbsp;設定</h2>
            <div class="tagReturn">
                <span>＞ </span>
                <asp:HyperLink id="hyperlink2" NavigateUrl="Mainmenu.aspx" Text="メインメニュー" target="_top" runat="server"/>
                <span>＞ </span>
                <span>従事者&nbsp;選任/解任日&nbsp;設定</span>

            </div>
            <div id="content">
                <form id="form1" runat="server">
                    <div>
                        <table border="0" width="800px">
                            <tr>
                                <td>選任日</td>
                                <td colspan="3">
                                    <asp:TextBox ID="start_date" runat="server" CssClass="txtDate" />
                                    <input type="button" runat="server" id="calbtn1" value="日付" onclick="closeChildWindow(); ibtnCal1_Click('1', this.form.start_date.id);" class="btnDate"/>
                                </td>
                            </tr>
                            <tr>
                                <td>解任日</td>
                                <td colspan="3">
                                    <asp:TextBox ID="end_date" runat="server" CssClass="txtDate" />
                                    <input id="calbtn2" type="button" runat="server" value="日付" onclick="closeChildWindow(); ibtnCal1_Click('2', this.form.end_date.id);" class="btnDate"/>
                                </td>
                            </tr>
                            <tr>
                                <td>地域名</td>
                                <td>
                                    <asp:DropDownList ID="ddlArea" runat="server" />
                                </td>
                                <td>SB/WCP</td>
                                <td>
                                    <asp:DropDownList ID="ddlSbwcp" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="3">
                                    <asp:Button ID="BtnRegist" runat="server" Text="登録" OnClick="BtnRegist_Click" CssClass="input_submit SmallBtn" />
                                    <asp:Button ID="modoru" Text="戻る" CssClass="input_submit SmallBtn" runat="server" OnClick="modoru_Click" />
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div>
                        <!-- エラーメッセージ表示用ラベル -->
                        <asp:Table ID="Table3" runat="server" CssClass="errMsgTbl" >
                            <asp:TableRow>
                                <asp:TableCell HorizontalAlign="Center">
                                    <asp:Label ID="lblErrMsg" runat="server" ForeColor="Red" Visible="false"/>
                                </asp:TableCell>
                            </asp:TableRow>
                        </asp:Table>
                    </div>
                </form>
            </div>
        </div>
    </div>
</body>
</html>
